IGAM_VERSION     = "v5.4.0";
IGAM_REV         = "279";
IGAM_RELDATE     = "Oct 28, 2013";
IGAM_FORMAT_TIME = "%02d:%02d";
IGAM_FORMAT_XP   = "%d / %d (%3.1f%%)";
IGAM_FORMAT_10   = "%.1f";
IGAM_FORMAT_100  = "%.2f";
IGAM_FORMAT_RANK = "%s("..RANK.." %d)"; --usage: format(SPELLCASTGOSELFTARGETTED, format(IGAM_FORMAT_RANK, "spell", "1"), "target");
IGAM_DIVIDER=100;
IGAM_NAME_REALM = UnitName("player").." of "..GetCVar("realmName");
_, IGAM_CLASS	= UnitClass("player");  -- eg. WARLOCK/DRUID/WARRIOR etc...
IGAM_X = 0;
IGAM_Y = -2;
IGAM_SBI = { "BACKGROUND","LOW","MEDIUM","HIGH","TOOLTIP" };
IGAM_SBN = { ["BACKGROUND"]=1, ["LOW"]=2, ["MEDIUM"]=3, ["HIGH"]=4, ["TOOLTIP"]=5 };
IGAM_SQ_texture="Interface\\AddOns\\Igam\\SquareMinimap";
IGAM_SQ_mask="Interface\\AddOns\\Igam\\SquareMinimapMask";

TEXTURE_SOULSHARD = "INV_Misc_Gem_Amethyst_02"
TEXTURE_BANISH = "Spell_Shadow_Cripple"
TEXTURE_DEMONARMOR = "Spell_Shadow_RagingScream"
TEXTURE_SOULSTONE = "Spell_Shadow_SoulGem"
TEXTURE_FELARMOR = "Spell_Shadow_FelArmour"

IGAM_COLOR = {
   COPPER = "|c00CC9900",
   SILVER = "|c00C0C0C0",
   GOLD   = "|c00FFFF66",
   GREEN  = "|cff00ff00",
   RED    = "|cffff0000",
   YELLOW = "|cffffff00",
   ORANGE = "|cffd87000",
   WHITE  = "|cffffffff",
   GRAY   = "|cff9d9d9d",
   BLUE   = "|c009090FF",
   PURPLE = "|cffff0fff",
   CYAN   = "|cff00ffff",
}
IGAM_STATUS = {
   [true]  = IGAM_COLOR["GREEN"].." on|r",
   [false] = IGAM_COLOR["RED"].." off|r",
   ["nil"]   = IGAM_COLOR["YELLOW"].." N/A|r",
}
IGAM_ITEM_SOULSHARD  = 6265;  -- item ID of soulshard
IGAM_SPELL_SOULSTONE = 6203; -- item ID of 'general' soulstone-spell
IGAM_SPELL_SOULSTONE_NAME = GetSpellInfo(IGAM_SPELL_SOULSTONE);
IGAM_SPELL_CREATESOULSTONE = 20022; -- item ID of 'create soulstone'-spell
IGAM_SPELL_DECIMATION = 63156; -- spellID of Decimation-spell
IGAM_SPELL_DECIMATION_NAME = GetSpellInfo(IGAM_SPELL_DECIMATION);
IGAM_SPELL_SOULFIRE = 6353; -- spellID of Soulfire Rank1
IGAM_SPELL_CORRUPTION = 47813;
IGAM_SPELL_CORRUPTION_NAME = GetSpellInfo(IGAM_SPELL_CORRUPTION);
IGAM_SPELL_COA = 47864; -- Curse of Agony
IGAM_SPELL_COA_NAME = GetSpellInfo(IGAM_SPELL_COA);
IGAM_SPELL_IMMOLATE = 47811; -- Immolate
IGAM_SPELL_IMMOLATE_NAME = GetSpellInfo(IGAM_SPELL_IMMOLATE);
IGAM_SPELL_LIFETAP = 63321; -- Life tap
IGAM_SPELL_LIFETAP_NAME = GetSpellInfo(IGAM_SPELL_LIFETAP);
IGAM_SPELL_SOC = 37826; -- Life tap
IGAM_SPELL_SOC_NAME = GetSpellInfo(IGAM_SPELL_SOC);

IGAM_WARLOCK_PET = { --"demon"=summon "demon"
   ["Imp"] = GetSpellInfo(688);
   ["Voidwalker"] = GetSpellInfo(697);
   ["Succubus"] = GetSpellInfo(712);
   ["Felhunter"] = GetSpellInfo(691);
   ["Felguard"] = GetSpellInfo(30146);
--   ["Infernal"] = GetSpellInfo(1122);
--   ["Doomguard"] = GetSpellInfo(18540);
   ["Fel Imp"] = GetSpellInfo(112866);
   ["Voidlord"] = GetSpellInfo(112867);
   ["Shivarra"] = GetSpellInfo(112868);
   ["Observer"] = GetSpellInfo(112869);
   ["Wrathguard"] = GetSpellInfo(112870);
--   ["Abyssal"] = GetSpellInfo(112921);
--   ["Terrorguard"] = GetSpellInfo(112922);
}

IGAM_SPELL_HS = {
   HS    =  GetSpellInfo(8690), --Hearthstone
   IKD   = GetSpellInfo(91226); --The Innkeeper's Daughter (archeology-find HS)
   SoR   = GetSpellInfo(48129); --Scroll of Recall     (inscriptors HS)
   SoR2  = GetSpellInfo(60320); --Scroll of Recall II  (inscriptors HS)
   SoR3  = GetSpellInfo(60321); --Scroll of Recall III (inscriptors HS)
   TNPLH = GetSpellInfo(39937); --There's no place like home (Ruby Slippers/use)
}
IGAM_SPELL = {
   HS  =  GetSpellInfo(8690), --Hearthstone
   RSO = GetSpellInfo(29893); --Create Soulwell
   RSU =   GetSpellInfo(698); --Ritual of Summoning
   SSR = GetSpellInfo(20707); --Soulstone
}
IGAM_FLASKS = {
	AGILITY = {
		[80] = 79471,		-- Flask of the Winds, Cata, +300agi
		[85] = 105689,		-- Flask of Spring Blossoms, MoP, lvl85, +1000agi
	},
	INTELLECT = {
		[80] = 79470,		-- Flask of the Draconic Mind, Cata, +300int
		[85] = 105691,		-- Flask of the Warm Sun, MoP, lvl85
	},
	SPIRIT = {
		[75] = 54212,		-- Flask of Pure Mojo, WotLK, +90spi
		[80] = 94160,		-- Flask of Flowing Water, Cata, +300spi
		[85] = 105693,		-- Flask of Falling Leaves, MoP , +1000spi
	},
	STAMINA	= {
		[80] = 79469,		-- Flask of Steelskin, Cata, +450sta
		[85] = 105694, 		-- Flask of the Earth, MoP, +1500sta
	},
	STRENGTH = {
		[80] = 79472,		-- Flask of Titanic Strength, Cata, +300str
		[85] = 105696,		-- Flask of Winter's Bite, MoP, +1000str
	},
	ATTACKPOWER = {
		[75] = 53760,		-- Flask of Endless Rage, WotLK, +180AP
	},
	HEALTH = {
		[75] = 53758,		-- Flask of Stoneblood, WotLK, +1300hp
	},
	SPELLPOWER = {
		[75] = 53755,		-- Flask of the Frost Wyrm, WotLK, +125sp
	},
	COMBATDPS = {
		[75] = 53760,		-- Flask of Endless Rage, WotLK, +180AP
		[80] = 79471,		-- Flask of the Winds, Cata, +300agi
		[85] = 105689,		-- Flask of Spring Blossoms, MoP, lvl85, +1000agi
	},
	CASTERDPS = {	-- warlock + mage + shadowpriest + castershaman
		[75] = 53755,		-- Flask of the Frost Wyrm, WotLK, +125sp
		[80] = 79470,		-- Flask of the Draconic Mind, Cata, +300int
		[85] = 105691,		-- Flask of the Warm Sun, MoP, lvl85
	},
	HEALER = {
		[75] = 54212,		-- Flask of Pure Mojo, WotLK, +90spi
		[80] = 94160,		-- Flask of Flowing Water, Cata, +300spi
		[85] = 105693,		-- Flask of Falling Leaves, MoP , +1000spi
	},
	TANK = {
		[75] = 53758,		-- Flask of Stoneblood, WotLK, +1300hp
		[80] = 79469,		-- Flask of Steelskin, Cata, +450sta
		[85] = 105694, 		-- Flask of the Earth, MoP, +1500sta
	},
}
IGAM_CURRENT_FLASK="";


--Default language(enGB)
BINDING_HEADER_IGAM  = "Igam Misc.";
BINDING_NAME_IGAM_OPTIONS = "IGAM Options Pane";

IGAM_BAG             = BAGSLOT.." ";
IGAM_BACKPACK        = BACKPACK_TOOLTIP;
IGAM_CMD             = IGAM_COLOR["GREEN"].."[Igam command]|r: ";
IGAM_FRIEND_BUTTON   = "Add \nInfo";
IGAM_FULL            = " is now full!";
IGAM_MSG             = IGAM_COLOR["YELLOW"].."[Igam Info]|r: ";
IGAM_MSG_PREFIX      = "IGAMINFO";
IGAM_OPTIONS         = "Igam Options";
IGAM_OPTIONS_DEBUG   = "Debug";
IGAM_OPTIONS_DEFAULT = "Default";
IGAM_OPTIONS_RELOADUI= "ReloadUI";
IGAM_RELOADUIREQUEST = "You need to Reload UI before changes is made.";
IGAM_REPAIR_EQ       = "Repairing equipped items costs you ";
IGAM_REPAIR_EQ_GUILD = "Repairing equipped items costs the guild ";
IGAM_REPAIR_EQ_NO    = "You do not have enough money to repair items!";
IGAM_REPAIR_INV      = "Repairing inventory items costs you ";
IGAM_REPAIR_INV_GUILD= "Repairing inventory items costs the guild ";
IGAM_REPAIR_INV_WHOLE= "Inventory items needs no repair!";
IGAM_REPAIR_INV_NO   = "You do not have enough money to repair inventory items!";
IGAM_SELF            = "yourself";
IGAM_SELL_JUNK       = "Sell \"junk\"\n items";
IGAM_XP_GAINED       = "XP gained this lvl:";
IGAM_XP_RESTED       = "Rested XP: ";

IGAM_text = {
   igam_BagEnable    = "Enable bag status meters";
   igam_BagBar       = "Show bag overlay meters";
   igam_BagLabel     = "Show bag overlay labels";
   igam_BagColor     = "Use color";
   igam_BagTotal     = "Display total bag slots";
   igam_BagFree      = "Use free slots as opposed to used slots for display";
   igam_BagNotify    = "Enable notifications when bags are full";
   igam_BagSingle    = "one/all bags visible";
   igam_BagSell      = "Autosell common(gray) items";
   igam_BagSellQ     = "Mute sales-report in chatwindow";
   igam_CastTime     = "Show cast-time on castbar";
   igam_CastTimeInv  = "Invert values";
   igam_debug        = "Toggles debug-window";
   igam_fChange      = "Change faction-focus when gaining reputation";
   igam_friendInfo   = "Set info for selected friend:";
   igam_Griffin      = "Show/Hide the griffins at the statusbar";
   igam_hearth       = "Enable/Disable emotes on hearthstone-use";
   igam_hearthRnd    = "use random emote, all time of day";
   igam_hearthFrq    = "Frequency (%)";
   igam_hearth1      = "Select emote, Morning (06-12)";
   igam_hearth2      = "Select emote, Afternoon (12-18)";
   igam_hearth3      = "Select emote, Evening (18-24)";
   igam_hearth4      = "Select emote, Night (00-06)";
   igam_showHealth   = "show Hitpoints on target";
   igam_showMana     = "show mana on target";
   igam_Options      = "Igam Options";
   igam_Repair       = "Toggle autoRepair on/off";
   igam_RepairGuild  = "enable/disable autorepair to use guild-money";
   igam_RepairInv    = "AutoRepair Inventory aswell?";
   igam_AskRepair    = "check if autorepair should ask before repair";
   igam_repairconf   = "Do you want to repair all"..IGAM_COLOR["GREEN"].." equipped|r Items?";
   igam_repaircinv   = "Do you want to repair all"..IGAM_COLOR["RED"].." inventory|r Items?";
   igam_resurrect    = "Toggles autoresurrect on/off";
   igam_ress         = "Enable/Disable emotes when resurrected";
   igam_ressRnd      = "use random emote, in any group";
   igam_ressFrq      = "Frequency (%)";
   igam_ress1        = "Select emote, in Party";
   igam_ress2        = "Select emote, in Raid";
   igam_ress3        = "Select emote, when alone";
   igam_MainMenuBar  = "Toggles new mainmenubar on/off";
   igam_MainMenuX    = "Move mainmenubar a bit to the right";
   igam_MicroButton  = "Toggles microbuttons on/off";
   igam_XP           = "Toggles new XP-bar on/off";
   igam_Party        = "Show Partymembers HP/Mana";
   igam_QTT          = "enable QuickTagTarget when in group";
   igam_SpeedMeter   = "Toggles SpeedMeter on/off";
   igam_Latency      = "Toggles new Latencymeter on/off";
   igam_THP          = "additional percent-meter at target health";
   igam_TNL          = "Show/hide TNL-meter";
   igam_FPS          = "Show/hide framrate-meter";
   igam_questLvl     = "Show/hide questlevel in quest-window";
   igam_mapClock     = "Show clock in minimap";
   igam_mapCoords    = "Show coordinates at minimap";
   igam_mapFrame     = "Hide frame of minimap";
   igam_mapMove      = "frame of minimap movable (right mousebutton)";
   igam_mapSquare    = "Make minimap square-shaped";
   igam_mapTime      = "Hide timebutton";
   igam_mapTop       = "Hide Top Background of minimap";
   igam_mapToggle    = "Toggle minimap";
   igam_mapZoom      = "Hide zoombuttons (use scrollbutton instead)";
   igam_WMButton     = "Hide worldmap-button";
   igam_MenuButton1  = "Bag-Menu";
   igam_MenuButton2  = "HP/Mana";
   igam_MenuButton3  = "User Interface";
   igam_MenuButton4  = "Minimap";
   igam_MenuButton5  = "Misc. settings";
   igam_MenuButton6  = "Hearthstone";
   igam_MenuButton7  = "Resurrection";
}

hBLINK = "You blink your eyes.";
hSMILE = "You smile.";
hGOING = "You must be going.";
hYAWN = "You yawn sleepily.";
hWAVE = "You wave.";
hBYE = "You wave goodbye to everyone. Farewell!";
hTIRED = "You let everyone know that you are tired.";
hSMIRK = "A sly smirk spreads across your face.";
hPRAISE = "You praise the Light.";
hLOVE = "You feel the love.";
hLOST = "You are hopelessly lost.";
hKISS = "You blow a kiss into the wind.";
hGAZE = "You gaze off into the distance.";
hABSENT = "You look absent-minded.";

rTHANK = "You thank ...";
rHUG = "You hug ...";
rBLINK = "You blink at ...";
rKISS = "You blow a kiss to ...";
rSMILE = "You smile at ...";
rPRAISE = "You lavish praise upon ...";
rLOVE = "You love ...";
rGAZE = "You gaze longingly at ...";
rABSENT = "You look at ... absently.";
rDANCE = "You dance with ...";
rSEXY = "You think ... is a sexy devil.";
rPURR = "You purr at ...";


if ( GetLocale() == "deDE" ) then
   IGAM_AMMOBAG            = { "K\195\182cher", "Munition", "Bandolier", "Jagdkcher" };
   IGAM_FULL            = " ist voll!";
   IGAM_OPTIONS         = "IGAM Optionen";
   IGAM_OPTIONS_DEFAULT = "Reset";

   IGAM_text["igam_BagBar"]     = "Balken zum anzeigen des Status verwenden";
   IGAM_text["igam_BagLabel"]   = "Zahlen anzeigen";
   IGAM_text["igam_BagColor"]   = "Farben verwenden";
   IGAM_text["igam_BagTotal"]   = "Totalen Beutelstatus anzeigen";
   IGAM_text["igam_BagFree"]    = "Freie Slots anzeigen, statt verwendete Slots anzeigen";
   IGAM_text["igam_BagNotify"]  = "Text einblenden und Sound abspielen wenn ein Beutel voll ist";
   --IGAM_text["igam_Griffin"]    = " ";
   IGAM_text["igam_repairconf"] = "Wollt Ihr alles reparieren lassen?";
elseif ( GetLocale() == "esES" ) then
elseif ( GetLocale() == "frFR" ) then
 --   BINDING_HEADER_IGAM  = "Indicateur d\Etat des Sacs";
   BINDING_NAME_IGAM_OPTIONS = "Options de lIES";

   IGAM_AMMOBAG         = { "Carquois", "giberne", "Bandolier" };
   IGAM_FULL            = " est plein!";
   IGAM_OPTIONS         = "Options de IGAM";
   IGAM_OPTIONS_DEFAULT = "Défaut";

   IGAM_text["igam_BagBar"]     = "Active la sur-impression";
   IGAM_text["igam_BagLabel"]   = "Affiche les chiffres";
   IGAM_text["igam_BagColor"]   = "Utilise des couleurs";
   IGAM_text["igam_BagTotal"]   = "Affiche la capacité des sacs";
   IGAM_text["igam_BagFree"]    = "Affiche le nombre d'emplacements libre plutôt qu'utilisés";
   IGAM_text["igam_BagNotify"]  = "Active les notifications quand un sac est plein";
   IGAM_text["igam_MenuButton1"]  = "Indicateur d\Etat des Sacs";
   --IGAM_text["igam_Griffin"]    = " ";
   --IGAM_text["igam_repairconf"] = " ";
  hBLINK = "Vous faites un clin d'oeil.";
  hSMILE = "Vous souriez.";
  hGOING = "Vous devez partir.";
  hYAWN = "Vous billez.";
  hWAVE = "Vous levez la main.";
  hBYE = "Vous dites au revoir  tout le monde. Adieu!";
  hTIRED = "Vous dites  tout le monde que vous tes fatigu.";
  hSMIRK = "Vous avez un sourire narquois.";
  hPRAISE = "Vous glorifiez les Puissances.";
  hLOVE = "Vous ressentez de l'amour.";
  hLOST = "Vous tes vraiment perdu.";
  hKISS = "Vous envoyez un baiser dans le vent.";
  hGAZE = "Vous regardez fixement au loin.";
  hABSENT = "Vous semblez distrait";
  rTHANK = "Vous remerciez ...";
  rHUG = "Vous serrez ... dans vos bras.";
  rBLINK = "Vous faites un clin d'il  ...";
  rKISS = "Vous envoyez un baiser  ...";
  rSMILE = "Vous souriez  ...";
  rPRAISE = "Vous faites l'loge de ...";
  rLOVE = "Vous aimez ...";
  rGAZE = "Vous regardez passionnment en direction de ...";
  rABSENT = "Vous regardez ... d'un air absent";
  rDANCE = "Vous dansez avec ...";
  rSEXY = "Vous trouvez ... trs sexy.";
  rPURR = "Vous vous adressez  ... en ronronnant.";
elseif ( GetLocale() == "koKR" ) then
elseif ( GetLocale() == "zhCN" ) then
elseif ( GetLocale() == "zhTW" ) then
elseif ( GetLocale() == "enCN" ) then
elseif ( GetLocale() == "enTW" ) then
elseif ( GetLocale() == "esMX" ) then
elseif ( GetLocale() == "ruRU" ) then
elseif ( GetLocale() == "ptBR" ) then
elseif ( GetLocale() == "ptPT" ) then
elseif ( GetLocale() == "itIT" ) then
end


----- below is using locale if existing. else use enUS-----

IGAM_DROPDOWN = {
   igam_hearth = {
     {"|cff00ff00"..hBLINK.."|r", "BLINK" },
     {"|cffffd200"..hSMILE.."|r", "SMILE" },
     {"|cffff6b00"..hGOING.."|r", "GOING" },
     {"|cffff2f32"..hYAWN.."|r", "YAWN" },
     {"|cfff58cba"..hWAVE.."|r", "WAVE" },
     {"|cffffdbad"..hBYE.."|r", "BYE" },
     {"|cff7777aa"..hTIRED.."|r", "TIRED" },
     {"|cff00ff00"..hSMIRK.."|r", "SMIRK" },
     {"|cffffd200"..hPRAISE.."|r", "PRAISE" },
     {"|cffff6b00"..hLOVE.."|r", "LOVE" },
     {"|cffff2f32"..hLOST.."|r", "LOST" },
     {"|cfff58cba"..hKISS.."|r", "KISS" },
     {"|cffffdbad"..hGAZE.."|r", "GAZE" },
     {"|cff7777aa"..hABSENT.."|r", "ABSENT" },
   },
   igam_ress = {
     {"|cff00ff00"..rTHANK.."|r", "THANK" },
     {"|cffffd200"..rHUG.."|r", "HUG"},
     {"|cffff6b00"..rBLINK.."|r", "BLINK"},
     {"|cffff2f32"..rKISS.."|r", "KISS"},
	 {"|cfff58cba"..rSMILE.."|r", "SMILE"},
	 {"|cffffdbad"..rPRAISE.."|r", "PRAISE"},
	 {"|cff7777aa"..rLOVE.."|r", "LOVE"},
	 {"|cff00ff00"..rGAZE.."|r", "GAZE"},
	 {"|cffffd200"..rABSENT.."|r", "ABSENT"},
	 {"|cffff6b00"..rPURR.."|r", "PURR"},
	 {"|cffff2f32"..rSEXY.."|r", "SEXY"},
	 {"|cfff58cba"..rDANCE.."|r", "DANCE"},
   },
}
IGAM_DROPDOWN.igam_hearth1=IGAM_DROPDOWN.igam_hearth;
IGAM_DROPDOWN.igam_hearth2=IGAM_DROPDOWN.igam_hearth;
IGAM_DROPDOWN.igam_hearth3=IGAM_DROPDOWN.igam_hearth;
IGAM_DROPDOWN.igam_hearth4=IGAM_DROPDOWN.igam_hearth;
IGAM_DROPDOWN.igam_ress1=IGAM_DROPDOWN.igam_ress;
IGAM_DROPDOWN.igam_ress2=IGAM_DROPDOWN.igam_ress;
IGAM_DROPDOWN.igam_ress3=IGAM_DROPDOWN.igam_ress;

--- MyAddons support (10lines) ---
IgamMiscDetails = {
   name = 'Igam',
   version = IGAM_VERSION.."-"..IGAM_REV,
   releaseDate = IGAM_RELDATE,
   author = 'Igam',
   email = 'wowplugin@igam.tk',
   website = 'http://www.igam.tk/wow',
   category = MYADDONS_CATEGORY_OTHERS,
   optionsframe = 'IGAM_Options'
};